vars:
  # Default values for configuration of a STARTX cluster
  # see values.yaml for explanation on each params
  context: &context
    scope: "{[% lookup('vars', 'sx_cluster_config_scope') | default('myscope') %]}"
    cluster: "{[% lookup('vars', 'sx_cluster_config_name') | default('mycluster') %]}"
    environment: "{[% lookup('vars', 'sx_cluster_config_environment') | default('myenv') %]}"
    version: "{[% lookup('vars', 'sx_cluster_config_version') | default('0.0.1') %]}"
    component: pipeline
    app: startx-pipeline
  projectOperator: 
    enabled: false
  operator:
    enabled: true
    context: 
      <<: *context
    subscription:
      enabled: true
      hooked: false
      name: "openshift-pipelines-operator-rh"
      namespace: "openshift-operators"
      version: "v1.5.2"
      operator: 
        channel: stable
        name: openshift-pipelines-operator-rh
        installPlanApproval: Automatic
        # csv: redhat-openshift-pipelines
        source: 
          name: redhat-operators
          namespace: openshift-marketplace
    operatorGroup:
      enabled: false
      hooked: false
      target: "all-ns" 
      name: "global-operators"
      namespace: "openshift-operators"
      providedAPIs: "Config.v1alpha1.operator.tekton.dev"

overrides: {}
